## bison++ 1.21.8-3

=== debian/changelog ===
bison++ (1.21.8-3) unstable; urgency=low

  * Added example, more docs and README info Closes: #123757

 -- Magnus Ekdahl <magnus@debian.org>  Sun, 14 Apr 2002 21:12:30 +0200

bison++ (1.21.8-2.1) unstable; urgency=low

  * NMU
  * Just one change: Depends: libc6 -> Depends: ${shilbs:Depends}
  * It should now install on the alpha just fine (Closes: #142472)

 -- Moshe Zadka <moshez@debian.org>  Fri, 12 Apr 2002 11:25:26 +0300
	

bison++ (1.21.8-2) unstable; urgency=low

  * added Alain to authors closes: #133606
  * added missing info files
  * added missing man link

 -- Magnus Ekdahl <magnus@debian.org>  Sun, 17 Feb 2002 19:12:40 +0100

bison++ (1.21.8-1) unstable; urgency=low

  * updated to upstream version 1.21.8
  * added yacc compability closes: #132665

 -- Magnus Ekdahl <magnus@debian.org>  Fri,  8 Feb 2002 09:25:06 +0100

bison++ (1.21.5-4) unstable; urgency=low

  * removed irrelevant/meaningless documentation closes: #128587

 -- Magnus Ekdahl <magnus@debian.org>  Fri, 11 Jan 2002 00:17:31 +0100

bison++ (1.21.5-3) unstable; urgency=low

  * fixed spelling closes: #124455
  * discussed bug #115234 with user and concluded that it was misplaced
    closes: #115234

 -- Magnus Ekdahl <magnus@debian.org>  Sat,  5 Jan 2002 11:42:58 +0100

bison++ (1.21.5-2) unstable; urgency=low

  * fixed the install info scripts (closes: #114838, #115234, #123662, #123916)
  * updated /usr/doc changes according to recomendation of the technical committee
 -- Magnus Ekdahl <magnus@debian.org>  Wed, 10 Oct 2001 13:42:38 +0200

bison++ (1.21.5-1) unstable; urgency=low

  * Initial release.
  * fixed a bison link to bison++ in order for bison++ to provide full and transparent bison functionality.
  * converted to makefiles to autoconf/automake 
  * removed unused files alloc.c vmsgetargs.c vmshlp.mar
  * fixed race condition in files.c
 -- Magnus Ekdahl <maguno@ludd.luth.se>  Thu,  5 Jul 2001 13:06:25 +0200

Local variables:
mode: debian-changelog
End:
