=== debian/control ===
Source: bison++
Section: devel
Priority: optional
Maintainer:  Magnus Ekdahl <magnus@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: debhelper

Package: bison++
Architecture: any
Depends: ${shlibs:Depends}
Provides: bison
Conflicts: bison
Recommends: flex, c-compiler
Description: generate a parser in c or c++ from BNF notation
 Based on bison version 1.19. Compatible with bison but with C++ support. 
 Bison is a general-purpose parser generator that converts a grammar 
 description for an LALR (BNF-like) context free grammar into a C/C++ program 
 to parse that grammar. Once you are proficient with bison++ you can generate 
 a wide range of language parsers, from those used in simple desk calculators 
 to complex programming languages.
