## bison++ 1.21.11

=== debian/changelog ===
bison++ (1.21.11-5) unstable; urgency=medium

  * Update packaging clean target (closes: #997419).
  * Remove Jose Luis Tallon from uploaders (closes: #838075).
   * Update debhelper level to 13:
     - don't specify parallel to debhelper.
   * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Oct 2021 08:32:10 +0200

bison++ (1.21.11-4) unstable; urgency=low

  * Add debian/compat (closes: #817312).
  * Use debhelper level 9 update packaging accordingly (closes: #817378).
  * Migrate d/copyright to format 1.0 .
  * Switch to '3.0 (quilt)' packaging format.
  * Use short debhelper rules format, further update packaging.
  * Refresh auto* files.
  * Install Example/ files as examples.
  * Update Standards-Version to 3.9.8 .
  * New maintainer with ACK from Jose Luis, but keep him as uploader.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Jun 2016 07:33:20 +0000

bison++ (1.21.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Get rid of install-info calls in maintainer scripts.  (Closes: #708488)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jan 2014 19:41:03 +0100

bison++ (1.21.11-3) unstable; urgency=low

  * Acknowledge NMU. Thanks!
  * Updates:
    - use new C++ ABI. (Closes: #326448)
    - Update standard-version to 3.6.2.1 (no changes required).
    - Update the FSF address to the current one.
  * Updated control file
    - conflict with bison-doc (Closes: #341349)
    - Not provide "bison" anymore -- this is obsolete (Closes: #360557)
    - Fix inconsistent command line arg handling (Closes: #242027)

  * Fix incorrect removal of yacc alternative (Closes: #327146)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 11 May 2006  1:28:09 +0200

bison++ (1.21.11-2.1) unstable; urgency=low

  * Delayed non-maintainer upload to use new C++ ABI. (Closes: #326448)
  * Update standard-version to 3.6.2.1 (no changes required).
  * Update the FSF address to the current one.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  3 Sep 2005 13:25:48 +0200

bison++ (1.21.11-2) unstable; urgency=low

  * New maintainer. Adoption granted by Magnus Ekdahl (Closes: #228943, #228950)
  * Upload sponsored by Roberto Lumbreras <rover@debian.org>
  * Minor changes, bump 'Standards-Version' to current version.

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 25 Jan 2004 13:18:33 +0100

bison++ (1.21.11-1) unstable; urgency=low

  * Fixed g++3.3 typo, should be g++ (closes:Bug#199754)
  * Changed flex recomendation to flex-old (closes:Bug#195893)
  * changed the package type to non-native (closes:Bug#199753)

 -- Magnus Ekdahl <magnus@debian.org>  Tue, 22 Jul 2003 14:55:11 +0200

bison++ (1.21.10-1) unstable; urgency=low

  * g++ 3.3 transition (closes: Bug#194863)
  * Spell-check
  * FreeBSD compability patch from Victor Fajardo
  * changed mkstemp -> tmpfile (closes: Bug#194205)

 -- Magnus Ekdahl <magnus@debian.org>  Tue, 27 May 2003 20:14:38 +0200

bison++ (1.21.9-3) unstable; urgency=low

  * removed usr-doc-link
  * Capitalized first letter in package description
  * Fixed typo in Example/test.txt

 -- Magnus Ekdahl <magnus@debian.org>  Wed, 13 Nov 2002 20:48:32 +0100

bison++ (1.21.9-2) unstable; urgency=low

  * fixed C++ incompability problem on hppa (closes: Bug#154496)

 -- Magnus Ekdahl <magnus@debian.org>  Sat, 27 Jul 2002 11:02:18 -0600

bison++ (1.21.9-1) unstable; urgency=low

  * Added bison 1.24 GPL exception after request from Richard Kreuter, and legal advice from R.Stallman.
  * cleaned maintainer scripts
  * fixed namespace conflicts with tetex-bin  (closes: Bug#153093)
  * fixed bug with -p option
  * ported project to C++
  * Made it possible to create bison compatible output in C++
  * fixed problem with YY_@_ERROR_VERBOSE in bison.cc

 -- Magnus Ekdahl <magnus@debian.org>  Fri, 26 Jul 2002 12:19:39 +0200
