=== debian/control ===
Source: bison++
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), texinfo
Standards-Version: 4.6.0

Package: bison++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: bison, bison-doc
Recommends: flex-old, c-compiler
Description: Generate a parser in c or c++ from BNF notation
 Based on bison version 1.19. Compatible with bison but with C++ support.
 Bison is a general-purpose parser generator that converts a grammar
 description for an LALR (BNF-like) context free grammar into a C/C++ program
 to parse that grammar. Once you are proficient with bison++ you can generate
 a wide range of language parsers, from those used in simple desk calculators
 to complex programming languages.
