=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_clean:
	aclocal
	automake --add-missing
	dh_auto_clean

override_dh_auto_configure:
	aclocal
	autoconf
	automake --add-missing
	dh_auto_configure

override_dh_compress:
	dh_compress -X.h

%:
	dh $@

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_compress
